package de.intevation.flys.artifacts.model;

import gnu.trove.TDoubleArrayList;

public class WKmsImpl
extends      NamedObjectImpl
implements   WKms
{
    protected TDoubleArrayList kms;
    protected TDoubleArrayList ws;

    public WKmsImpl() {
        super("");
        kms = new TDoubleArrayList();
        ws  = new TDoubleArrayList();
    }


    public WKmsImpl(int capacity) {
        super("");
        kms = new TDoubleArrayList(capacity);
        ws  = new TDoubleArrayList(capacity);
    }


    public WKmsImpl(TDoubleArrayList kms, TDoubleArrayList ws) {
        this(kms, ws, "");
    }


    public WKmsImpl(
        TDoubleArrayList kms,
        TDoubleArrayList ws,
        String           name
    ) {
        super(name);
        this.kms = kms;
        this.ws  = ws;
    }


    public void add(double km, double w) {
        kms.add(km);
        ws .add(w);
    }


    public double getW(int index) {
        return ws.getQuick(index);
    }


    public double getKm(int index) {
        return kms.getQuick(index);
    }


    public int size() {
        return kms.size();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
